| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
precedence::CFDecision Struct Reference

`#include <src/PrecedenceRulesGraph.h>`

Inheritance diagram for precedence::CFDecision:
[legend]
Collaboration diagram for precedence::CFDecision:
[legend]

## Public Member Functions
| CFDecision (const EventSlot &slot)
std::string | operator() (const AlgoProps &props) const
std::string | operator() (const DecisionHubProps &props) const
std::string | operator() (const DataProps &) const

## Public Attributes
EventSlot | m_slot

## Detailed Description

Definition at line 163 of file PrecedenceRulesGraph.h.

## Constructor & Destructor Documentation

precedence::CFDecision::CFDecision | ( | const EventSlot & | slot | ) |
| inline

Definition at line 164 of file PrecedenceRulesGraph.h.

164 : m_slot( slot ) {}
precedence::CFDecision::m_slot
EventSlot m_slot
Definition: PrecedenceRulesGraph.h:178

## Member Function Documentation

std::string precedence::CFDecision::operator() | ( | const AlgoProps & | props | ) | const
| inline

Definition at line 166 of file PrecedenceRulesGraph.h.

167 {
168 return std::to_string( m_slot.controlFlowState.at( props.m_nodeIndex ) );
169 }
precedence::CFDecision::m_slot
EventSlot m_slot
Definition: PrecedenceRulesGraph.h:178
std::to_string
T to_string(T...args)
std::vector::at
T at(T...args)
EventSlot::controlFlowState
std::vector< int > controlFlowState
State of the control flow.
Definition: EventSlot.h:43

std::string precedence::CFDecision::operator() | ( | const DecisionHubProps & | props | ) | const
| inline

Definition at line 171 of file PrecedenceRulesGraph.h.

172 {
173 return std::to_string( m_slot.controlFlowState.at( props.m_nodeIndex ) );
174 }
precedence::CFDecision::m_slot
EventSlot m_slot
Definition: PrecedenceRulesGraph.h:178
std::to_string
T to_string(T...args)
std::vector::at
T at(T...args)
EventSlot::controlFlowState
std::vector< int > controlFlowState
State of the control flow.
Definition: EventSlot.h:43

std::string precedence::CFDecision::operator() | ( | const DataProps & |  | ) | const
| inline

Definition at line 176 of file PrecedenceRulesGraph.h.

176 { return ""; }

## Member Data Documentation

EventSlot precedence::CFDecision::m_slot

Definition at line 178 of file PrecedenceRulesGraph.h.

The documentation for this struct was generated from the following file:

- GaudiHive/src/PrecedenceRulesGraph.h